INSERT INTO procs set name='Etiquettes des priodiques - par panier d\'exemplaires - ajout d\'un espace ou d\'un astrisque', requete='SELECT CONCAT(\' \', SUBSTRING(expl_cote FROM 1 FOR (LOCATE(\' \',expl_cote) -1)), \' \') as cote, SUBSTRING(expl_cote FROM (LOCATE(\' \',expl_cote) +1) FOR 3) as \'auteur\', CONCAT(\'N \', SUBSTRING(expl_cote FROM (LOCATE(\' \',expl_cote) +5) FOR 6), \' \') as titre, CONCAT(tit1,\' - N \',bulletin_numero) as \'titre2\', (CASE !!choix!! WHEN \'1\' THEN CONCAT(\' \',expl_cb,\' \') WHEN \'2\' THEN CONCAT(\'*\',expl_cb,\'*\') ELSE expl_cb END) as \'code\' FROM exemplaires, bulletins, notices, caddie_content WHERE caddie_id in (!!CADDIE!!) and object_id=expl_id and expl_bulletin = bulletin_id and bulletin_notice=notice_id GROUP BY expl_cb ORDER BY expl_cb', comment='Slection par panier - Tri par code-barres', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Que faut-il ajouter au numro d\'exemplaire ?]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\"><![CDATA[Un espace (pour prserver le zro initial)]]></ITEM>
  <ITEM VALUE=\"2\"><![CDATA[Un astrisque (pour l\'impression en code-barres 39)]]></ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>SELECT idcaddie, name FROM caddie WHERE type=\'EXPL\' ORDER BY name</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 