INSERT INTO procs set name='Etiquettes des priodiques - par panier d\'exemplaires', requete='SELECT CONCAT(\' \', SUBSTRING(expl_cote FROM 1 FOR (LOCATE(\' \',expl_cote) -1)), \' \') as cote, SUBSTRING(expl_cote FROM (LOCATE(\' \',expl_cote) +1) FOR 3) as \'auteur\', CONCAT(\'N \', SUBSTRING(expl_cote FROM (LOCATE(\' \',expl_cote) +5) FOR 6), \' \') as titre, CONCAT(tit1,\' - N \',bulletin_numero) as \'titre2\', expl_cb as \'code\' FROM exemplaires, bulletins, notices, caddie_content WHERE caddie_id in (!!CADDIE!!) and object_id=expl_id and expl_bulletin=bulletin_id and bulletin_notice=notice_id GROUP BY expl_cb ORDER BY expl_cb', comment='Slection par panier - Tri par code-barres', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<FIELDS>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY><![CDATA[SELECT idcaddie, name FROM caddie WHERE type=\'EXPL\' ORDER BY name]]></QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 